<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        #{customCertificateManager.initCA()}

        <s:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.CreateACustomCertificateAuthority']}</h2>

            <p>#{messages['net.ihe.gazelle.atna.CustomCertificatesAreCommonlyUsedToTestTLSSSLNeg']}</p>


            <h:form id="createForm">
                <!--<s:token id="customCAToken" allowMultiplePost="true"/>-->

                <s:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.CreateANewCA']}</ui:define>

                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="certVersionInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateVersion']}</ui:define>
                            <h:selectOneMenu id="certVersionInput" styleClass="form-control gzl-select-text"
                                             value="#{customCertificateManager.certificateVersion}">
                                <f:selectItems value="#{customCertificateManager.getCertificateVersions()}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <ui:include src="customform.xhtml"/>
                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <a4j:commandButton actionListener="#{customCertificateManager.createCertificateAuthority()}"
                                           styleClass="gzl-btn-blue"
                                           value="#{messages['net.ihe.gazelle.atna.Create']}"
                                           render="createForm"/>
                    </ui:define>
                </s:decorate>

            </h:form>
        </s:decorate>

    </ui:define>
</ui:composition>
